> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mycreditapp.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific country

> Returns detailed information about a single country identified by its two-letter ISO 3166-1 alpha-2 country_code. The response includes the country's full name, alpha-2 code, and alpha-3 code.



## OpenAPI

````yaml /content/developer-guide/api-reference/openapi_v1.json get /resources/countries/{country_code}
openapi: 3.1.0
info:
  title: API - V1
  version: 1.0.0
servers:
  - url: https://api.mycreditapp.ai/v1-beta
security: []
paths:
  /resources/countries/{country_code}:
    get:
      tags:
        - Resources
      summary: Get a specific country
      description: >-
        Returns detailed information about a single country identified by its
        two-letter ISO 3166-1 alpha-2 country_code. The response includes the
        country's full name, alpha-2 code, and alpha-3 code.
      operationId: get_country_resources_countries__country_code__get
      parameters:
        - name: country_code
          in: path
          required: true
          schema:
            type: string
            maxLength: 2
            minLength: 2
            title: Country Code
            description: >-
              Two-letter ISO 3166-1 alpha-2 [country
              code](https://docs.mycreditapp.ai/api-reference/resources/get-the-available-countries)
            examples:
              - SK
              - SI
          description: >-
            Two-letter ISO 3166-1 alpha-2 [country
            code](https://docs.mycreditapp.ai/api-reference/resources/get-the-available-countries)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Country'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Token is required!
                    type: token
                    code: token_required
                  - loc: []
                    msg: The token has expired!
                    type: token
                    code: token_expired
                  - loc: []
                    msg: Invalid token!
                    type: token
                    code: invalid_token
        '404':
          description: Not Found
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Account not found!
                    type: request
                    code: account_not_found
                  - loc: []
                    msg: Country not found!
                    type: request
                    code: country_not_found
              schema:
                $ref: '#/components/schemas/APIError'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: >-
                      The account is in the process of being deleted! The
                      Account's email can only be reused after its data has been
                      completely deleted. The removal process may take up to 24
                      hours.
                    type: request
                    code: account_being_deleted
        '413':
          description: Request Entity Too Large
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: The request is too large!
                    type: request
                    code: request_too_large
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc:
                      - string
                      - 0
                    msg: string
                    type: string
                    code: validation_error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Error processing request, please try later!
                    type: try_later
                    code: internal_conflict_error
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Service is under maintenance, please try later!
                    type: maintanance
                    code: service_under_maintenance
      security:
        - Token: []
components:
  schemas:
    Country:
      properties:
        country_name:
          type: string
          maxLength: 70
          minLength: 1
          title: Country Name
          description: Full name of the country
          examples:
            - Slovakia
            - Slovenia
        country_code:
          type: string
          maxLength: 2
          minLength: 2
          title: Country Code
          description: >-
            Two-letter ISO 3166-1 alpha-2 [country
            code](https://docs.mycreditapp.ai/api-reference/resources/get-the-available-countries)
          examples:
            - SK
            - SI
        country_code_alpha_3:
          type: string
          maxLength: 3
          minLength: 3
          title: Country Code Alpha 3
          description: Three-letter ISO 3166-1 alpha-3 country code
          examples:
            - SVK
            - SVN
      type: object
      required:
        - country_name
        - country_code
        - country_code_alpha_3
      title: Country
    APIError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ErrorItem'
          type: array
          title: Detail
          description: >

            List of returned errors.

            **All unsuccessful error codes except code `422` can only contain 1
            element in the list**.
      type: object
      required:
        - detail
      title: APIError
    ErrorItem:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Loc
          description: |

            Shows the dynamic location of the current error.
            If an empty array is returned, the error is static.
          examples:
            - - body
              - date_field
              - 0
            - - header
              - Authorization
        msg:
          type: string
          title: Msg
          description: |

            A human-readable message providing more details about the error.
          examples:
            - Token is required!
            - Invalid token!
        type:
          type: string
          title: Type
          description: >

            A string indicating the type of error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible type for a specific error**.
          examples:
            - token
            - request
            - try_later
        code:
          type: string
          title: Code
          description: >

            Unique text error code identifying the error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible code for a specific error**.
          examples:
            - token_required
            - invalid_token
            - access_denied
      type: object
      required:
        - loc
        - msg
        - type
        - code
      title: ErrorItem
  securitySchemes:
    Token:
      type: http
      description: >-
        [Bearer
        authentication](/content/developer-guide/introduction/authentication)
        using a JWT token. Provide a valid access token. Authorization header
        format: `Authorization: Bearer <token>`.
      scheme: bearer

````